package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElPaperQu;

/**
 * 试卷题目Mapper接口
 *
 * @author ssy
 * @date 2024-05-29
 */
public interface TElPaperQuMapper
{
    /**
     * 查询试卷题目
     *
     * @param id 试卷题目ID
     * @return 试卷题目
     */
    public TElPaperQu selectTElPaperQuById(Long id);

    /**
     * 查询试卷题目列表
     *
     * @param tElPaperQu 试卷题目
     * @return 试卷题目集合
     */
    public List<TElPaperQu> selectTElPaperQuList(TElPaperQu tElPaperQu);

    /**
     * 新增试卷题目
     *
     * @param tElPaperQu 试卷题目
     * @return 结果
     */
    public int insertTElPaperQu(TElPaperQu tElPaperQu);

    /**
     * 修改试卷题目
     *
     * @param tElPaperQu 试卷题目
     * @return 结果
     */
    public int updateTElPaperQu(TElPaperQu tElPaperQu);

    /**
     * 删除试卷题目
     *
     * @param id 试卷题目ID
     * @return 结果
     */
    public int deleteTElPaperQuById(Long id);

    /**
     * 批量删除试卷题目
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElPaperQuByIds(Long[] ids);

    TElPaperQu selectTElPaperQuByPaperIdAndQuId(TElPaperQu paperQu);

    void updateTElPaperQuByKey(TElPaperQu qu);

    int sumObjective(Long paperId);

    List<TElPaperQu> selectTElPaperQuListByPaper(TElPaperQu query);
}
